Bug 802553 - [abrt] rabbitvcs-core-0.15.0.5-1.fc16: diff.py:304:diff_factory:KeyError: 'unknown'
[abrt] rabbitvcs-core-0.15.0.5-1.fc16: diff.py:304:diff_factory:KeyError: 'un...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rabbitvcs (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:a8f0087a0c6be30dc1d7176fb12...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-12 16:02 EDT by Adrin Jalali
Modified: 2013-02-13 14:41 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 14:41:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: smolt_data (6.16 KB, text/plain)
2012-03-12 16:02 EDT, Adrin Jalali
no flags Details

  None (edit)
Description Adrin Jalali 2012-03-12 16:02:03 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/lib/python2.7/site-packages/rabbitvcs/ui/diff.py svn://10.9.2.103/grants/blmembers/nnimaa/BioC/RchyOptimyx/DESCRIPTION@9659 /home/adrin/Projects/BioC/RchyOptimyx/DESCRIPTION@working
comment:        listening to the radio.
executable:     /usr/lib/python2.7/site-packages/rabbitvcs/ui/diff.py
kernel:         3.2.6-3.fc16.x86_64
reason:         diff.py:304:diff_factory:KeyError: 'unknown'
time:           Mon 12 Mar 2012 10:57:28 AM PDT
uid:            1000
username:       adrin

smolt_data:     Text file, 6312 bytes

backtrace:
:diff.py:304:diff_factory:KeyError: 'unknown'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/rabbitvcs/ui/diff.py", line 322, in <module>
:    diff_factory(options.vcs, pathrev1[0], pathrev1[1], pathrev2[0], pathrev2[1], sidebyside=options.sidebyside)
:  File "/usr/lib/python2.7/site-packages/rabbitvcs/ui/diff.py", line 304, in diff_factory
:    return classes_map[vcs](path1, revision_obj1, path2, revision_obj2, sidebyside)
:KeyError: 'unknown'
:
:Local variables in innermost frame:
:path2: '/home/adrin/Projects/BioC/RchyOptimyx/DESCRIPTION'
:guess: {'vcs': 'unknown', 'repo_path': 'svn://10.9.2.103/grants/blmembers/nnimaa/BioC/RchyOptimyx/DESCRIPTION'}
:path1: 'svn://10.9.2.103/grants/blmembers/nnimaa/BioC/RchyOptimyx/DESCRIPTION'
:revision_obj2: 'working'
:revision_obj1: '9659'
:vcs: 'unknown'
:sidebyside: False
Comment 1 Adrin Jalali 2012-03-12 16:02:06 EDT
Created attachment 569500 [details]
File: smolt_data
Comment 2 matthew.spraggs 2012-04-19 10:13:30 EDT
The program did not crash in response to anything immediately obvious. I had several tabs open and was using another application (LyX) when it crashed. Chrome had been running for at most 30 minutes. I was looking at scientific literature via Google Scholar. I had a pdf, nautilus and a terminal open at the same time.

Package: rabbitvcs-core-0.14.2.1-3.fc16
OS Release: Fedora release 16 (Verne)
Comment 3 matthew.spraggs 2012-04-19 10:15:47 EDT
Oops ignore my description that was for a bug with Chrome. But yes I was trying to diff two different folders, and that's what caused the crash.
Comment 4 Andre Vehreschild 2012-04-25 03:58:06 EDT
Tried to diff a file.

Package: rabbitvcs-core-0.14.2.1-3.fc16
OS Release: Fedora release 16 (Verne)
Comment 5 Szőke Károly 2012-07-14 14:17:28 EDT
right click on file
compare previous version
crash


Package: rabbitvcs-core-0.15.0.5-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 6 Ben Liblit 2012-09-03 17:10:51 EDT
In Nautilus window viewing a Subversion working directory, I selected RabbitVCS SVN -> Diff Menu -> View diff against previous revision.

Package: rabbitvcs-core-0.15.0.5-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Daniel O'Connor 2012-09-08 14:47:04 EDT
https://code.google.com/p/rabbitvcs/issues/detail?id=712 is the current upstream bug for this.

If there's a publically available SVN repo that displays this behaviour when you do a diff, via the command line, that'll be the best way to fix it.
Comment 8 Fedora End Of Life 2013-01-16 11:14:32 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-02-13 14:41:44 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.